Package com.xebialabs.xlrelease.domain.configuration

# Class HttpConnection

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.Configuration
com.xebialabs.xlrelease.domain.PropertyConfiguration
com.xebialabs.xlrelease.domain.configuration.HttpConnection

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `ContainerHttpConnection`, `Repository`

@Metadata(root=CONFIGURATION, virtual=true, versioned=false) public class HttpConnection extends PropertyConfiguration
Base class for server configurations which use HTTP connection properties. Users subclass this in `synthetic.xml` to configure additional properties.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `HttpConnection.AuthenticationMethod`
  `static enum`
  `HttpConnection.OAuth2GrantType`

- ## Field Summary

  ### Fields inherited from class com.xebialabs.xlrelease.domain.PropertyConfiguration

  `PROPERTY_CARDINALITY`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpConnection()`
  `HttpConnection(Map<String,String> map)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAccessTokenUrl()`
  `HttpConnection.AuthenticationMethod`
  `getAuthenticationMethod()`
  `String`
  `getCA()`
  `String`
  `getClientId()`
  `String`
  `getClientSecret()`
  `String`
  `getDomain()`
  `boolean`
  `getInsecure()`
  `HttpConnection.OAuth2GrantType`
  `getOauth2GrantType()`
  `String`
  `getPassword()`
  `String`
  `getProxyDomain()`
  `String`
  `getProxyHost()`
  `String`
  `getProxyPassword()`
  `String`
  `getProxyPort()`
  `String`
  `getProxyUsername()`
  `String`
  `getScope()`
  `String`
  `getUrl()`
  `String`
  `getUsername()`
  `void`
  `setAccessTokenUrl(String accessTokenUrl)`
  `void`
  `setAuthenticationMethod(HttpConnection.AuthenticationMethod authenticationMethod)`
  `void`
  `setCA(String CA)`
  `void`
  `setClientId(String clientId)`
  `void`
  `setClientSecret(String clientSecret)`
  `void`
  `setDomain(String domain)`
  `void`
  `setInsecure(boolean insecure)`
  `void`
  `setOauth2GrantType(HttpConnection.OAuth2GrantType oauth2GrantType)`
  `void`
  `setPassword(String password)`
  `void`
  `setProxyDomain(String proxyDomain)`
  `void`
  `setProxyHost(String proxyHost)`
  `void`
  `setProxyPassword(String proxyPassword)`
  `void`
  `setProxyPort(String proxyPort)`
  `void`
  `setProxyUsername(String proxyUsername)`
  `void`
  `setScope(String scope)`
  `void`
  `setUrl(String url)`
  `void`
  `setUsername(String username)`
  `Map<String,String>`
  `toMap()`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.PropertyConfiguration

  `getCardinality`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.Configuration

  `getTitle, getVariableMapping, hasVariableMapping, setTitle, setVariableMapping`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, hasId, isSupportedOn, setCiUid, setFolderId`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HttpConnection

    public HttpConnection()

  - ### HttpConnection

    public HttpConnection(Map<String,String> map)

- ## Method Details

  - ### toMap

    public Map<String,String> toMap()

  - ### getUrl

    public String getUrl()

  - ### setUrl

    public void setUrl(String url)

  - ### getAuthenticationMethod

    public HttpConnection.AuthenticationMethod getAuthenticationMethod()

  - ### setAuthenticationMethod

    public void setAuthenticationMethod(HttpConnection.AuthenticationMethod authenticationMethod)

  - ### getUsername

    public String getUsername()

  - ### setUsername

    public void setUsername(String username)

  - ### getPassword

    public String getPassword()

  - ### setPassword

    public void setPassword(String password)

  - ### getDomain

    public String getDomain()

  - ### setDomain

    public void setDomain(String domain)

  - ### getOauth2GrantType

    public HttpConnection.OAuth2GrantType getOauth2GrantType()

  - ### setOauth2GrantType

    public void setOauth2GrantType(HttpConnection.OAuth2GrantType oauth2GrantType)

  - ### getAccessTokenUrl

    public String getAccessTokenUrl()

  - ### setAccessTokenUrl

    public void setAccessTokenUrl(String accessTokenUrl)

  - ### getClientId

    public String getClientId()

  - ### setClientId

    public void setClientId(String clientId)

  - ### getClientSecret

    public String getClientSecret()

  - ### setClientSecret

    public void setClientSecret(String clientSecret)

  - ### getScope

    public String getScope()

  - ### setScope

    public void setScope(String scope)

  - ### getProxyHost

    public String getProxyHost()

  - ### setProxyHost

    public void setProxyHost(String proxyHost)

  - ### getProxyPort

    public String getProxyPort()

  - ### setProxyPort

    public void setProxyPort(String proxyPort)

  - ### getProxyUsername

    public String getProxyUsername()

  - ### setProxyUsername

    public void setProxyUsername(String proxyUsername)

  - ### getProxyPassword

    public String getProxyPassword()

  - ### setProxyPassword

    public void setProxyPassword(String proxyPassword)

  - ### getProxyDomain

    public String getProxyDomain()

  - ### setProxyDomain

    public void setProxyDomain(String proxyDomain)

  - ### getCA

    public String getCA()

  - ### setCA

    public void setCA(String CA)

  - ### getInsecure

    public boolean getInsecure()

  - ### setInsecure

    public void setInsecure(boolean insecure)